﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="AutoMapper" />
    <None Remove="Microsoft.Extensions.DependencyInjection" />
    <None Remove="Pomelo.EntityFrameworkCore.MySql" />
    <None Remove="Microsoft.EntityFrameworkCore.Tools" />
    <None Remove="Microsoft.EntityFrameworkCore.Design" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="10.1.1" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="6.0.0" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\ASA.Festpay.Transaction.Infra.API\ASA.Festpay.Transaction.Infra.API.csproj" />
    <ProjectReference Include="..\ASA.Festpay.Transaction.Application\ASA.Festpay.Transaction.Application.csproj" />
    <ProjectReference Include="..\ASA.Festpay.Transaction.Domain.Core\ASA.Festpay.Transaction.Domain.Core.csproj" />
    <ProjectReference Include="..\ASA.Festpay.Transaction.Domain.Services\ASA.Festpay.Transaction.Domain.Services.csproj" />
    <ProjectReference Include="..\ASA.Festpay.Transaction.Infra.Data\ASA.Festpay.Transaction.Infra.Data.csproj" />
  </ItemGroup>
</Project>
